FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::format::IntrinsicTypeDataEditDesc Struct Reference

## Public Types
enum | Kind { I, B, O, Z, F, E, EN, ES, EX, G, L, A, D }

## Public Member Functions
| IntrinsicTypeDataEditDesc (IntrinsicTypeDataEditDesc &&)=default
IntrinsicTypeDataEditDesc & | operator= (IntrinsicTypeDataEditDesc &&)=default
| IntrinsicTypeDataEditDesc (Kind &&k, std::optional< int > &&w, std::optional< int > &&d, std::optional< int > &&e)

## Public Attributes
Kind | kind
std::optional< int > | width
std::optional< int > | digits
std::optional< int > | exponentWidth

The documentation for this struct was generated from the following file:

- include/flang/Parser/format-specification.h